#ifndef __BSP_H
#define __BSP_H

#include "lpclib.h"


/* Board type */
#define BOARD_ROLF1         1
#define BOARD_ROLF2         2
#define BOARD_KAI1          3
#define BOARD_KAI2          4
#define BOARD_TYPE          BOARD_KAI2


/* GPIO functions */
#if (BOARD_TYPE == BOARD_KAI1) || (BOARD_TYPE == BOARD_KAI2)
#define LED                                 GPIO_1_18
#define ENAREG1                             GPIO_0_22
#define ENAREG2                             GPIO_1_19
#define TEILER1                             GPIO_1_9
#define TEILER2                             GPIO_1_8
#define TEILER3                             GPIO_1_4
#define SI570_OE                            GPIO_1_10
#define UDA1361_PWDN                        GPIO_4_28
#define PRESELECT1                          GPIO_2_5
#define PRESELECT2                          GPIO_2_6
#define PRESELECT3                          GPIO_2_7
#define PRESELECT4                          GPIO_2_8

#elif BOARD_TYPE == BOARD_ROLF1
#define LED                                 GPIO_1_18
#define ENAREG1                             GPIO_2_6
#define ENAREG2                             GPIO_2_7
#define TEILER1                             GPIO_2_4
#define TEILER2                             GPIO_2_5
#define SI570_OE                            GPIO_0_11
#define UDA1361_PWDN                        GPIO_4_28
#define GUI_LIGHT                           GPIO_0_25
#define GUI_RESET                           GPIO_1_1
#define GUI_SSEL                            GPIO_1_0

#elif BOARD_TYPE == BOARD_ROLF2
#define LED                                 GPIO_0_2
#define ENAREG1                             GPIO_0_11
#define ENAREG2                             GPIO_1_26
#define TEILER1                             GPIO_2_6
#define TEILER2                             GPIO_2_7
#define SI570_OE                            GPIO_0_10
#define PRESELECT1                          GPIO_1_25
#define PRESELECT3                          GPIO_1_18
#define PRESELECT4                          GPIO_1_22
#define PRESELECT5                          GPIO_0_22
#define PLL1                                GPIO_2_8
#define PLL2                                GPIO_0_16
#define RESET_AD1974                        GPIO_1_8
#define CCLK                                GPIO_1_20
#define CIN                                 GPIO_1_24
#define CLATCH                              GPIO_2_2
#define INH7046                             GPIO_2_0

#else
#error You must define BOARD_TYPE in bsp-fifisdr.h
#endif



#include "si570.h"

/* I2C devices on FiFi-SDR board:
 *
 * Si570 oscillator
 */
extern uint8_t si570Address;

extern I2C_Handle i2c_bus;
extern SI570_Handle vco;


extern DMA_Handle gpdma;
extern USB_Handle usbHardware;

void BSP_init (void);

#endif


