#ifndef __SOFTROCK_H__
#define __SOFTROCK_H__

#include <stdint.h>

#include "usb.h"


/** Handle request for the Softrock emulation.
 *
 *  The requests are quite unusual, as they address the *device* with vendor requests.
 *  That's why there cannot be two instances of this driver.
 *
 *  \retval LPCLIB_SUCCESS ok, response will be generated by this class (may have been done already)
 *  \retval LPCLIB_ILLEGAL_PARAMETER wrong parameters in setup packet, stall the endpoint.
 *  \retval LPCLIB_UNDEFINED Request not handled by this class
 */
LPCLIB_Result softrock_handleRequests(
    USBDEV_Handle device,
    const struct USB_Class *pClass,
    USB_SetupPacket *pSetup,
    USB_Buffer *pBuffer);

#endif

